

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_proyecto_entregable]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_proyecto_entregable]
GO
CREATE PROCEDURE [reg_doc_documento_proyecto_entregable]
	@p_id INT
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento.proyecto_entregable] AS [documento.proyecto_entregable],
		[id_documento.proyecto] AS [id_documento.proyecto],
		[id_entregable] AS [id_entregable]
	FROM [doc_documento.proyecto_entregable]
	WHERE	(id = @p_id)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[view_doc_documento_proyecto_entregable]')) DROP VIEW [dbo].[view_doc_documento_proyecto_entregable]
GO
CREATE  VIEW [view_doc_documento_proyecto_entregable] AS
SELECT 	[doc_documento.proyecto_entregable].[id] AS [id],
		[doc_documento.proyecto_entregable].[uid] AS [uid],
		[doc_documento.proyecto_entregable].[eid] AS [eid],
		[doc_documento.proyecto_entregable].[id_usuario_modifico] AS [id_usuario_modifico],
		[doc_documento.proyecto_entregable].[id_usuario_creo] AS [id_usuario_creo],
		[doc_documento.proyecto_entregable].[fechaModificacion] AS [fechaModificacion],
		[doc_documento.proyecto_entregable].[fechaCreacion] AS [fechaCreacion],
		[doc_documento.proyecto_entregable].[active] AS [active],
		[doc_documento.proyecto_entregable].[documento.proyecto_entregable] AS [documento.proyecto_entregable],
		[doc_documento.proyecto_entregable].[id_documento.proyecto] AS [id_documento.proyecto],
[doc_documento.proyecto].[documento.proyecto] as [doc_documento.proyecto_documento.proyecto],
		[doc_documento_proyecto].[documento_codigo] AS [doc_documento_proyecto_documento_codigo],
		[doc_documento_proyecto].[documento_numero] AS [doc_documento_proyecto_documento_numero],
		[doc_documento_proyecto].[prefijo] AS [doc_documento_proyecto_prefijo],
		[doc_documento_proyecto].[subtotal] AS [doc_documento_proyecto_subtotal],
		[doc_documento_proyecto].[descuento] AS [doc_documento_proyecto_descuento],
		[doc_documento_proyecto].[iva] AS [doc_documento_proyecto_iva],
		[doc_documento_proyecto].[total] AS [doc_documento_proyecto_total],
		[doc_documento_proyecto].[costo] AS [doc_documento_proyecto_costo],
		[doc_documento_proyecto].[rentabilidad] AS [doc_documento_proyecto_rentabilidad],
		[doc_documento_proyecto].[trm] AS [doc_documento_proyecto_trm],
		[doc_documento_proyecto].[fecha_fh] AS [doc_documento_proyecto_fecha_fh],
		[doc_documento_proyecto].[fechaSugerida_fh] AS [doc_documento_proyecto_fechaSugerida_fh],
		[doc_documento_proyecto].[fechaCierre_ff] AS [doc_documento_proyecto_fechaCierre_ff],
		[doc_documento_proyecto].[fechaLimite_fh] AS [doc_documento_proyecto_fechaLimite_fh],
		[doc_documento_proyecto].[id_subtipoDocumento] AS [doc_documento_proyecto_id_subtipoDocumento],
		[doc_documento_proyecto].[id_tercero_cliente] AS [doc_documento_proyecto_id_tercero_cliente],
		[doc_documento_proyecto].[id_documento] AS [doc_documento_proyecto_id_documento],
		[doc_documento_proyecto].[id_tercero_proveedor] AS [doc_documento_proyecto_id_tercero_proveedor],
		[doc_documento_proyecto].[id_prioridadDocumento] AS [doc_documento_proyecto_id_prioridadDocumento],
		[doc_documento_proyecto].[id_moneda] AS [doc_documento_proyecto_id_moneda],
		[doc_documento_proyecto].[id_estadoTipoDocumento] AS [doc_documento_proyecto_id_estadoTipoDocumento],
		[doc_documento_proyecto].[id_motivoestado] AS [doc_documento_proyecto_id_motivoestado],
		[doc_documento_proyecto].[subtotalPlaneado] AS [doc_documento_proyecto_subtotalPlaneado],
		[doc_documento_proyecto].[descuentoPlaneado] AS [doc_documento_proyecto_descuentoPlaneado],
		[doc_documento_proyecto].[ivaPlaneado] AS [doc_documento_proyecto_ivaPlaneado],
		[doc_documento_proyecto].[totalPlaneado] AS [doc_documento_proyecto_totalPlaneado],
		[doc_documento_proyecto].[costoPlaneado] AS [doc_documento_proyecto_costoPlaneado],
		[doc_documento.proyecto_entregable].[id_entregable] AS [id_entregable],
[pro_entregable].[entregable] as [pro_entregable_entregable],
[pro_entregable].[entregable_codigo] as [pro_entregable_entregable_codigo],
		[empresaCodigo].[empresa] As [multiempresa]
FROM [doc_documento.proyecto_entregable]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento.proyecto_entregable].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento.proyecto_entregable].[id_usuario_creo]
	INNER JOIN [doc_documento.proyecto] ON [doc_documento.proyecto].id=[doc_documento.proyecto_entregable].[id_documento.proyecto]
	INNER JOIN [doc_documento] aS [doc_documento_proyecto] ON [doc_documento.proyecto].id = [doc_documento_proyecto].id
	INNER JOIN [pro_entregable] ON [pro_entregable].id=[doc_documento.proyecto_entregable].[id_entregable]
	INNER JOIN [gen_empresa] AS empresaCodigo ON [doc_documento.proyecto_entregable].eid = [empresaCodigo].[codigo] and empresaCodigo.active=1
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_proyecto_entregablesXusuario_modifico]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_proyecto_entregablesXusuario_modifico]
GO
CREATE PROCEDURE [sel_doc_documento_proyecto_entregablesXusuario_modifico]
	@p_id_usuario_modifico INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.proyecto_entregable]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_proyecto_entregablesXusuario_creo]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_proyecto_entregablesXusuario_creo]
GO
CREATE PROCEDURE [sel_doc_documento_proyecto_entregablesXusuario_creo]
	@p_id_usuario_creo INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.proyecto_entregable]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_proyecto_entregablesXdocumento_proyecto]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_proyecto_entregablesXdocumento_proyecto]
GO
CREATE PROCEDURE [sel_doc_documento_proyecto_entregablesXdocumento_proyecto]
	@p_id_documento_proyecto INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.proyecto_entregable]
	WHERE ([id_documento.proyecto]= @p_id_documento_proyecto)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_proyecto_entregablesXentregable]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_proyecto_entregablesXentregable]
GO
CREATE PROCEDURE [sel_doc_documento_proyecto_entregablesXentregable]
	@p_id_entregable INT
AS
BEGIN
	SELECT * 
	FROM [view_doc_documento.proyecto_entregable]
	WHERE ([id_entregable]= @p_id_entregable)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_proyecto_entregables]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_proyecto_entregables]
GO
CREATE PROCEDURE [sel_doc_documento_proyecto_entregables]
	
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_proyecto_entregable]
WHERE (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_proyecto_entregables]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_proyecto_entregables]
GO
CREATE PROCEDURE [lis_doc_documento_proyecto_entregables]
	AS
BEGIN
	SELECT id AS id,
[documento.proyecto_entregable] AS [doc_documento.proyecto_entregable]
	FROM [doc_documento.proyecto_entregable]
	WHERE active = 1
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[upd_doc_documento_proyecto_entregable]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[upd_doc_documento_proyecto_entregable]
GO
CREATE PROCEDURE [upd_doc_documento_proyecto_entregable]
	@p_id int = null,
		@p_uid varchar(500) = null,
		@p_eid varchar(50) = null,
		@p_id_usuario_modifico int = null,
		@p_id_usuario_creo int = null,
		@p_fechaCreacion smalldatetime = null,
		@p_documento_proyecto_entregable varchar(300) = null,
		@p_id_documento_proyecto int = null,
		@p_id_entregable int = null
AS
BEGIN
		UPDATE [doc_documento.proyecto_entregable]
		SET	[uid] = isnull(@p_uid,[uid]),
			[eid] = isnull(@p_eid,[eid]),
			[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
			[id_usuario_creo] = isnull(@p_id_usuario_creo,[id_usuario_creo]),
			[fechaModificacion] = GETDATE(),
			[documento.proyecto_entregable] = isnull(@p_documento_proyecto_entregable,[documento.proyecto_entregable]),
			[id_documento.proyecto] = isnull(@p_id_documento_proyecto,[id_documento.proyecto]),
			[id_entregable] = isnull(@p_id_entregable,[id_entregable])
		WHERE (id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[ins_doc_documento_proyecto_entregable]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[ins_doc_documento_proyecto_entregable]
GO
CREATE PROCEDURE [ins_doc_documento_proyecto_entregable]
	@p_uid varchar(500),
		@p_eid varchar(50),
		@p_id_usuario_modifico int,
		@p_id_usuario_creo int,
		@p_documento_proyecto_entregable varchar(300),
		@p_id_documento_proyecto int,
		@p_id_entregable int
AS
BEGIN
	DECLARE @v_id int
		INSERT INTO [doc_documento.proyecto_entregable]
			([uid],
			[eid],
			[id_usuario_modifico],
			[id_usuario_creo],
			[fechaModificacion],
			[fechaCreacion],
			[documento.proyecto_entregable],
			[id_documento.proyecto],
			[id_entregable])
		VALUES(	@p_uid,
			@p_eid,
			@p_id_usuario_modifico,
			@p_id_usuario_creo,
			GETDATE(),
			GETDATE(),
			@p_documento_proyecto_entregable,
			@p_id_documento_proyecto,
			@p_id_entregable)
		SET @v_id = scope_identity()
UPDATE [doc_documento.proyecto_entregable] set [uid] = [uid] + '_' + convert(varchar(20),@v_id) where [id]=@v_id
SELECT @v_id as id
RETURN @v_id
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[act_doc_documento_proyecto_entregable]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[act_doc_documento_proyecto_entregable]
GO
CREATE PROCEDURE [act_doc_documento_proyecto_entregable]
	@p_active BIT,
	@p_id INT,
@p_id_usuario_modifico int = null
AS
BEGIN
	UPDATE [doc_documento.proyecto_entregable]
	SET active=@p_active,
	[id_usuario_modifico] = isnull(@p_id_usuario_modifico,[id_usuario_modifico]),
	[fechaModificacion] = GETDATE()
	WHERE	(id = @p_id)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[reg_doc_documento_proyecto_entregable_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[reg_doc_documento_proyecto_entregable_m]
GO
CREATE PROCEDURE [reg_doc_documento_proyecto_entregable_m]
	@p_id INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT 	[id] AS [id],
		[uid] AS [uid],
		[eid] AS [eid],
		[id_usuario_modifico] AS [id_usuario_modifico],
		[id_usuario_creo] AS [id_usuario_creo],
		[fechaModificacion] AS [fechaModificacion],
		[fechaCreacion] AS [fechaCreacion],
		[active] AS [active],
		[documento.proyecto_entregable] AS [documento.proyecto_entregable],
		[id_documento.proyecto] AS [id_documento.proyecto],
		[id_entregable] AS [id_entregable]
	FROM [doc_documento.proyecto_entregable]
	WHERE	(id = @p_id)
	AND	(eid LIKE @p_eid+'%')

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_proyecto_entregablesXusuario_modifico_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_proyecto_entregablesXusuario_modifico_m]
GO
CREATE PROCEDURE [sel_doc_documento_proyecto_entregablesXusuario_modifico_m]
	@p_id_usuario_modifico INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.proyecto_entregable]
	WHERE ([id_usuario_modifico]= @p_id_usuario_modifico)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_proyecto_entregablesXusuario_creo_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_proyecto_entregablesXusuario_creo_m]
GO
CREATE PROCEDURE [sel_doc_documento_proyecto_entregablesXusuario_creo_m]
	@p_id_usuario_creo INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.proyecto_entregable]
	WHERE ([id_usuario_creo]= @p_id_usuario_creo)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_proyecto_entregablesXdocumento_proyecto_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_proyecto_entregablesXdocumento_proyecto_m]
GO
CREATE PROCEDURE [sel_doc_documento_proyecto_entregablesXdocumento_proyecto_m]
	@p_id_documento_proyecto INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.proyecto_entregable]
	WHERE ([id_documento.proyecto]= @p_id_documento_proyecto)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_proyecto_entregablesXentregable_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_proyecto_entregablesXentregable_m]
GO
CREATE PROCEDURE [sel_doc_documento_proyecto_entregablesXentregable_m]
	@p_id_entregable INT,
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT *
	FROM [view_doc_documento.proyecto_entregable]
	WHERE ([id_entregable]= @p_id_entregable)
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[sel_doc_documento_proyecto_entregables_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[sel_doc_documento_proyecto_entregables_m]
GO
CREATE PROCEDURE [sel_doc_documento_proyecto_entregables_m]
	@p_eid as varchar (50)='',
	@p_filtro as varchar (8000) = '1=1',
	@p_orden as varchar (8000) = 'id',
	@p_campos as varchar (8000) = '*' AS
BEGIN
exec ('SELECT '+ @p_campos +
' FROM [view_doc_documento_proyecto_entregable]
WHERE  (eid like '''+@p_eid+'%'+''' ) AND (' + @p_filtro + ') ORDER BY ' + @p_orden)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[lis_doc_documento_proyecto_entregables_m]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[lis_doc_documento_proyecto_entregables_m]
GO
CREATE PROCEDURE [lis_doc_documento_proyecto_entregables_m]
	@p_eid as varchar(50) = ''
AS
BEGIN
	SELECT id AS id,
[documento.proyecto_entregable] AS [doc_documento.proyecto_entregable]
	FROM [doc_documento.proyecto_entregable]
	WHERE active = 1
	AND	(eid LIKE @p_eid+'%')
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------

SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aud_doc_documento_proyecto_entregable]') AND type in (N'P', N'PC'))DROP PROCEDURE [dbo].[aud_doc_documento_proyecto_entregable]
GO
CREATE PROCEDURE [aud_doc_documento_proyecto_entregable]
	@p_filtro as varchar (8000) = '1=1'
AS
BEGIN
exec(	'SELECT [doc_documento.proyecto_entregable].id as id_tabla,
	[doc_documento.proyecto_entregable].id_usuario_modifico as id_usuario_modifico,
	[doc_documento.proyecto_entregable].id_usuario_creo as id_usuario_creo,
	[doc_documento.proyecto_entregable].fechaModificacion as fechaModificacion,
	[doc_documento.proyecto_entregable].fechaCreacion as fechaCreacion,
	[doc_documento.proyecto_entregable].active as active,
	[doc_documento.proyecto_entregable].[documento.proyecto_entregable] as campoPrincipal,
	[seg_usuario_creo].usuario as usuarioCreo,
	[seg_usuario_modifico].usuario as usuarioModifico

	FROM [doc_documento.proyecto_entregable]
	INNER JOIN [seg_usuario] AS [seg_usuario_modifico] ON [seg_usuario_modifico].id=[doc_documento.proyecto_entregable].[id_usuario_modifico]
	INNER JOIN [seg_usuario] AS [seg_usuario_creo] ON [seg_usuario_creo].id=[doc_documento.proyecto_entregable].[id_usuario_creo]
	where ' + @p_filtro)
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON
GO
----------------------
print 'doc_documento.proyecto_entregable'
-----------------------------------17/06/2015 04:29:07 p.m.